// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/*
 odfremane

   Authors:  Aitor Ibarra - XMM-Newton SOC (ESAC/ESA)
         
   Description: Task to rename observation ID in an ODF
 
   Comments: 
 
  $Id: module.cc,v 1.5 2000/10/02 08:30:13 gvacanti Exp $
*/

#include "odfrename.h"

#include <Tracer.h>
#include <errstr.h>
#include "OdfObject.h"
#include "OalServer.h"
#include <param.h>

void odfrename ()
{
PROC
	std::string odfdir =  oalServer.odf()->directoryName();

	OdfObject o = OdfObject(odfdir,true,
		  true);

	int pointing = intParameter("pointing");
	string gtifile = stringParameter("preqgtifile");
	o.checkOMPHEExposures();
	o.checkExpTimeSpan(pointing,gtifile);
	o.replaceName(pointing,gtifile);
	o.ascrename(pointing,gtifile);
ENDPROC
}
